<div class="flex h-screen">
  <mat-card class="h-96 w-96 m-auto justify-between mat-elevation-z2">
    <mat-card-header class="justify-center">
      <mat-card-title i18n="@@manageAuthKeys">Authentication Keys</mat-card-title>
    </mat-card-header>
    <mat-card-content class="justify-center">
      <form [formGroup]="keySelectionForm">
        <div
          *ngFor="let key of keySelectionForm.get('keys')['controls']; let i = index;"
          formArrayName="keys">
          <div [formGroupName]="i" class="flex flex-wrap justify-center items-center">
            <button
              class="flex-initial w-4/5"
              [disabled]="disableChoice"
              (click)="renameAuthKey(i)"
              mat-stroked-button>{{ key.value.name || 'Tap to rename' }}</button>
            <button
              mat-icon-button
              matSuffix
              class="flex-initial"
              [disabled]="disableChoice"
              (click)="removeAuthKey(i)">
              <mat-icon>close</mat-icon>
            </button>
          </div>
        </div>
      </form>
    </mat-card-content>
    <mat-card-actions class="justify-around m-4">
      <button
        (click)="navigateBack()"
        mat-stroked-button>Back</button>
      <button
        (click)="addAuthKey()"
        [disabled]="disableChoice"
        mat-stroked-button>Add Key</button>
    </mat-card-actions>
</mat-card>
</div>
